import 'package:vnoteapp/managers/interfaces/base.dart';

abstract class ICachedRecordManager implements IManager {
  /// 保存记录缓存
  Future<bool?> saveCachedRecord(
    String key,
    String patientCode,
    String type,
    String cached,
  );

  /// 读取记录缓存
  Future<String?> readCachedRecord(
    String key,
    String patientCode,
    String type,
    String cached,
  );
}
